sheets {openxlsx} | R Documentation

## Returns names of worksheets.

### Description

DEPRECATED. Use names().

### Usage

    sheets(wb)

### Arguments

`wb` | A workbook object

### Details

DEPRECATED. Use `names`

### Value

Name of worksheet(s) for a given index

### Author(s)

Alexander Walker

### See Also

`names` to rename a worksheet in a Workbook

### Examples

    ## Create a new workbook
    wb <- createWorkbook()

    ## Add some worksheets
    addWorksheet(wb, "Worksheet Name")
    addWorksheet(wb, "This is worksheet 2")
    addWorksheet(wb, "The third worksheet")

    ## Return names of sheets, can not be used for assignment.
    names(wb)
    # openXL(wb)

    names(wb) <- c("A", "B", "C")
    names(wb)
    # openXL(wb)

[Package openxlsx version 4.1.0 Index]